<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - User Account Settings</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />

    <!--  BEGIN CUSTOM STYLE FILE  -->
    <link rel="stylesheet" type="text/css" href="/plugins/dropify/dropify.min.css">
    <link href="/assets/css/users/account-setting.css" rel="stylesheet" type="text/css" />
    
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!--  END CUSTOM STYLE FILE  -->
</head>

<body class="sidebar-noneoverflow">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar')%>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <div class="container">
                    <div class="account-settings-container layout-top-spacing">

                        <div class="account-content">
                            <div class="scrollspy-example" data-spy="scroll" data-target="#account-settings-scroll"
                                data-offset="-100">
                                <div class="row">
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                                        <form id="general-info" class="section general-info">
                                            <div class="info">
                                                <h6 class="">ตั้งค่าร้านค้า</h6>
                                                <div class="row">
                                                    <div class="col-lg-11 mx-auto">
                                                        <div class="row">
                                                            <div class="col-xl-2 col-lg-12 col-md-4">
                                                                <div class="upload mt-4 pr-md-4" id="upload_profile">
                                                                    <input type="file" id="input-file-max-fs"
                                                                        class="dropify"
                                                                        data-default-file="/assets/img/200x200.jpg"
                                                                        data-max-file-size="2M"/>
                                                                    <p class="mt-2"><i
                                                                            class="flaticon-cloud-upload mr-1"></i>
                                                                        อัพโหลดโลโก้ ขนาด 300x300px</p>
                                                                </div>
                                                                <div class="upload mt-4 pr-md-4" id="upload_bg">
                                                                    <input type="file" id="input-file-max-fs"
                                                                        class="dropify"
                                                                        data-default-file="/assets/img/200x200.jpg"
                                                                        id="image_bg"/>
                                                                    <p class="mt-2"><i
                                                                            class="flaticon-cloud-upload mr-1"></i>
                                                                        อัพโหลดหน้าปก ขนาด 600x600px</p>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-10 col-lg-12 col-md-8 mt-md-0 mt-4">
                                                                <div class="form">
                                                                    <div class="row">
                                                                        <div class="col-sm-7">
                                                                            <div class="form-group">
                                                                                <label
                                                                                    for="fullName">ชื่อร้านค้า</label>
                                                                                <input type="text"
                                                                                    class="form-control mb-4"
                                                                                    id="fullName" required>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group col-lg-6 col-12">
                                                                            <label for="p-text">อีเมลล์</label>
                                                                            <input id="email" type="email" name="email"
                                                                                class="form-control" required>
                                                                        </div>
                                                                        <div class="form-group col-lg-6 col-12">
                                                                            <label for="p-text">เ บอร์โทร</label>
                                                                            <input id="phone" type="tel" name="phone"
                                                                                class="form-control" required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label for="profession">Line Token
                                                                            สำหรับรับแต้งเตือน <a
                                                                                href="https://www.google.com/"
                                                                                class="text-success">วิธีการรับ Token
                                                                                Line</a></label>
                                                                        <input type="text" class="form-control mb-4"
                                                                            id="Line_tk">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                                        <form id="contact" class="section contact">
                                            <div class="info">
                                                <h5 class="">ข้อมูลร้านค้าสำหรับใบปะหน้ากล่องพัสดุ</h5>
                                                <div class="row">
                                                    <div class="col-md-11 mx-auto">
                                                        <div class="row">
                                                            <div class="form-group col-12">
                                                                <label for="p-text">ที่อยู่</label>
                                                                <input id="address" type="text" name="address" class="form-control"
                                                                    required>
                                                            </div>
                                                            <div class="form-group col-lg-6 col-12">
                                                                <label for="p-text">ตำบล</label>
                                                                <input id="subdistrict" type="text" name="subdistrict" class="form-control"
                                                                    required>
                                                            </div>
                                                            <div class="form-group col-lg-6 col-12">
                                                                <label for="p-text">อำเภอ</label>
                                                                <input id="district" type="text" name="district" class="form-control"
                                                                    required>
                                                            </div>
                                                            <div class="form-group col-lg-6 col-12">
                                                                <label for="p-text">จังหวัด</label>
                                                                <input id="province" type="text" name="province" class="form-control"
                                                                    required>
                                                            </div>
                                                            <div class="form-group col-lg-6 col-12">
                                                                <label for="p-text">รหัสไปรษณีย์</label>
                                                                <input id="zipcode" type="text" name="zipcode" class="form-control"
                                                                    required>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                                        <form id="social" class="section social">
                                            <div class="info">
                                                <h5 class="">Social LINK</h5>
                                                <div class="row">

                                                    <div class="col-md-11 mx-auto">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="input-group social-linkedin mb-3">
                                                                    <div class="input-group-prepend mr-3">
                                                                        <!-- <span class="input-group-text"
                                                                            id="linkedin"> -->
                                                                        <img src="/assets/img/lineOfficial.png"
                                                                            width="50px" height="50px">
                                                                        <!-- </span> -->
                                                                    </div>
                                                                    <input type="text" id="Line" class="form-control">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="input-group social-tweet mb-3">
                                                                    <div class="input-group-prepend mr-3">
                                                                        <img src="/assets/img/Facebook.png" width="50px"
                                                                            height="50px">
                                                                    </div>
                                                                    <input type="text" id="FB" class="form-control">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-11 mx-auto">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="input-group social-fb mb-3">
                                                                    <div class="input-group-prepend mr-3">
                                                                        <img src="/assets/img/instagram.png" width="50px"
                                                                            height="50px">
                                                                    </div>
                                                                    <input type="text" id="IG" class="form-control">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="input-group social-github mb-3">
                                                                    <div class="input-group-prepend mr-3">
                                                                        <img src="/assets/img/tiktok.png" width="50px"
                                                                            height="50px">
                                                                    </div>
                                                                    <input type="text" id="TT" class="form-control">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                                        <form id="about" class="section about">
                                            <div class="info">
                                                <h5 class="">ตั้งค่าช่องทางการชำระเงิน</h5>
                                                <div class="row ml-2">
                                                    <div class="custom-control custom-checkbox col-4">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="customCheck1">
                                                        <label class="custom-control-label"
                                                            for="customCheck1">เก็บเงินปลายทาง</label>
                                                    </div>
                                                    <div class="custom-control custom-checkbox col-4">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="customCheck2">
                                                        <label class="custom-control-label"
                                                            for="customCheck2">โอนเงิน</label>
                                                    </div>
                                                    <div class="custom-control custom-checkbox col-4">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="customCheck3">
                                                        <label class="custom-control-label"
                                                            for="customCheck3">ตัดบัตรเครดิต (ค่าบริการ 5%)</label>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing bank" hidden>
                                        <form id="work-platforms" class="section work-platforms">
                                            <div class="info">
                                                <h5 class="">ตั้งค่าช่องทางโอนเงิน</h5>
                                                <div class="row">
                                                    <div class="col-md-12 text-right mb-2">
                                                        <button type="button" data-toggle="modal" data-target="#AddBank"
                                                            class="btn btn-success">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none"
                                                                stroke="currentColor" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                class="feather feather-plus-square">
                                                                <rect x="3" y="3" width="18" height="18" rx="2" ry="2">
                                                                </rect>
                                                                <line x1="12" y1="8" x2="12" y2="16"></line>
                                                                <line x1="8" y1="12" x2="16" y2="12"></line>
                                                            </svg>
                                                            เพิ่มบัญชีธนาคาร</button>
                                                    </div>
                                                    <div class="col-md-11 mx-auto">
                                                        <div class="table-responsive">
                                                            <table class="table mb-4" id="List_Bank">
                                                                <thead>
                                                                </thead>
                                                                <tbody>
                                                                </tbody>
                                                            </table>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                                        <form id="work-platforms" class="section work-platforms">
                                            <div class="info">
                                                <h5 class="">ตั้งค่าช่องทางการจัดส่งสินค้า</h5>
                                                <div class="row">
                                                    <div class="col-md-12 text-right mb-2">
                                                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#AddDelivery">
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none"
                                                                stroke="currentColor" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                class="feather feather-plus-square">
                                                                <rect x="3" y="3" width="18" height="18" rx="2" ry="2">
                                                                </rect>
                                                                <line x1="12" y1="8" x2="12" y2="16"></line>
                                                                <line x1="8" y1="12" x2="16" y2="12"></line>
                                                            </svg>
                                                            เพิ่มการจัดส่ง</button>
                                                    </div>
                                                    <div class="col-md-11 mx-auto">
                                                        <div class="table-responsive">
                                                            <table class="table mb-4" id="list_transport">
                                                                <thead>
                                                                </thead>
                                                                <tbody>
                                                                </tbody>
                                                            </table>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="layout-spacing col-12">
                                        <div class="statbox widget box box-shadow">
                                            <div class="widget-content widget-content-area">
                                                <center><button
                                                            class="btn btn-success mt-1 mb-4" id="save" onclick="save()">บันทึก</button>
                                                </center>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->

    </div>
    <!-- END MAIN CONTAINER -->

    <!-- Modal -->
    <div class="modal fade" id="AddBank" tabindex="-1" role="dialog" aria-labelledby="AddBankTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="AddBankTitle">เพิ่มบัญชีธนาคาร</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group mb-4">
                        <label for="">เลือกธนาคาร</label>
                        <select class="form-control" id="bank">
                            <% bank.forEach(element =>{ %>
                                <option value="<%=element.bank_code+' '+element.bank_name %>"><%=element.bank_name %></option>
                            <% }) %>  
                        </select>
                    </div>
                    <div class="form-group mb-4">
                        <label for="">เลขที่บัญชี</label>
                        <input type="number" class="form-control" id="account_id" placeholder="ใส่เลขบัญชี">
                    </div>
                    <div class="form-group mb-4">
                        <label for="">ชื่อบัญชี</label>
                        <input type="text" class="form-control" id="account_name" placeholder="ใส่ชื่อบัญชี">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="add_Bank()" data-dismiss="modal">ยืนยัน</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="AddDelivery" tabindex="-1" role="dialog" aria-labelledby="AddDeliveryTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="AddDeliveryTitle">เพิ่มการจัดส่ง</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group mb-4">
                        <label for="">เลือกขนส่ง</label>
                        <select class="form-control" id="transport">
                            <% transport.forEach(element =>{ %>
                                <option value="<%=element.delivery_code+' '+element.delivery_name %>"><%=element.delivery_name %></option>
                            <% }) %>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="add_Bank_transport()" data-dismiss="modal">ยืนยัน</button>
                </div>
            </div>
        </div>
    </div>


    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/assets/js/app.js"></script>
    <script src="/plugins/file-upload/file-upload-with-preview.min.js"></script>
    <script src="/assets/js/custom.js"></script>
    <script src="/plugins/dropify/dropify.min.js"></script>
    <script src="/plugins/blockui/jquery.blockUI.min.js"></script>
    <!-- <script src="plugins/tagInput/tags-input.js"></script> -->
    <script src="/assets/js/users/account-settings.js"></script>
    <!--  END CUSTOM SCRIPTS FILE  -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
    <script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
    <!-- / dependencies for zip mode -->
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
    <script>
        $.Thailand({
            database: '/assets/js/jquery.Thailand.js/database/geodb.json', 
            $district: $('[name="subdistrict"]'),
            $amphoe: $('[name="district"]'),
            $province: $('[name="province"]'),
            $zipcode: $('[name="zipcode"]'),
        });
        let Bank = []
        $(document).ready(()=>{ 
            $('#Setting_menu').addClass('active')
            $('#setting').addClass('show')
            $('#shop').addClass('active')
            $('#Setting_menu > a').attr('aria-expanded',true)
            if('<%=data.id %>' != "0"){
                let profile = 'http://128.199.100.251:1001<%=data.image_profile %>'
                let bg = 'http://128.199.100.251:1001<%=data.image_bg %>'
                $('#fullName').val('<%=data.shop_name %>')
                $('#phone').val('<%=data.phone %>')
                $('#email').val('<%=data.email %>')
                $('#Line_tk').val('<%=data.line_token %>')
                $('#address').val('<%=data.address %>')
                $('#subdistrict').val('<%=data.subdistrict %>')
                $('#district').val('<%=data.district %>')
                $('#province').val('<%=data.province %>')
                $('#zipcode').val('<%=data.zipcode %>')
                $('#Line').val('<%=api.line_api %>')
                $('#FB').val('<%=api.fb_api %>')
                $('#IG').val('<%=api.ig_api %>')
                $('#TT').val('<%=api.tt_api %>')
                if('<%=data.status_cod %>' == "1"){Payment.COD = 1;
                    $('#customCheck1').attr('checked',true)
                }
                if('<%=data.status_transfer %>' == "1"){Payment.BANK = 1;
                    $('#customCheck2').attr('checked',true);
                    $('.bank').removeAttr('hidden',true)
                }
                if('<%=data.status_credit %>' == "1"){Payment.CREDIT = 1;
                    $('#customCheck3').attr('checked',true)
                }
                '<% Bank.forEach(element=>{ %>'
                    Bank.push({bank:'<%=element.bank_code %>',bank_name:'<%=element.bank_name %>',account_id:'<%=element.bank_id %>',account_name:'<%=element.account_name %>'})
                '<% }) %>'
                '<% delivery.forEach(element=>{ %>'
                    delivery.push({transport:'<%=element.delivery_code %>',transport_name:'<%=element.delivery_name %>'})
                '<% }) %>'
                $('#upload_profile .dropify-render > img').attr('src',`${profile}`)
                $('#upload_bg .dropify-render > img ').attr('src',`${bg}`)
                show_bank()
                show_delivery()
                $('#save').attr('onclick','update()')
            }
            App.init();
        });


        let Payment = {COD:0,BANK:0,CREDIT:0}
        document.getElementById('customCheck1').addEventListener("click",(e)=>{
            if(document.getElementById('customCheck1').checked){Payment.COD = 1}
            else{Payment.COD = 0}
        })
        document.getElementById('customCheck2').addEventListener("click",(e)=>{
            if(document.getElementById('customCheck2').checked){
                Payment.BANK = 1
                $('.bank').removeAttr('hidden',true)
            }
            else{
                Payment.BANK = 0
                $('.bank').attr('hidden',true)
            }
        })
        document.getElementById('customCheck3').addEventListener("click",(e)=>{
            if(document.getElementById('customCheck3').checked){Payment.CREDIT =1}
            else{Payment.CREDIT = 0}
        })
        

        //Bank account
        function add_Bank(){
            console.clear()
            let word = ($('#bank').val()).split(" ")
            Bank.push({bank:word[0],bank_name:word[1],account_id:$('#account_id').val(),account_name:$('#account_name').val()})
            $('#account_id').val('')
            $('#account_name').val('')
            show_bank()
        }
        function delete_Bank(value){
            Bank.splice(value, 1)
            show_bank()
        }
        function show_bank(){
            console.log(Bank.length)
            if(Bank.length != 0){
                let table_list = $('#List_Bank > thead')
                table_list.empty()
                table_list.append(`<tr>
                                    <th class="text-center">#</th>
                                    <th>ธนาคาร</th>
                                    <th>เลขที่บัญชี</th>
                                    <th>ชื่อบัญชี</th>
                                    <th class="text-center">Action</th>
                                </tr>`)
            }else{
                let table_list = $('#List_Bank > thead')
                table_list.empty()
            }
            let table_list = $('#List_Bank > tbody')
            table_list.empty()
            let i = 0
            Bank.forEach(element => {
                table_list.append(`<tr>
                    <td class="text-center">${i+1}</td>
                    <td><img src="http://128.199.100.251:1001/image/bank/${element.bank}.png"
                            width="40px" height="40px">${element.bank_name}
                    </td>
                    <td>${element.account_id}</td>
                    <td>${element.account_name}</td>
                    <td class="text-center"><svg
                            xmlns="http://www.w3.org/2000/svg"
                            width="24" height="24"
                            viewBox="0 0 24 24" fill="none"
                            stroke="currentColor" stroke-width="2"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                            class="feather feather-x-circle" onClick="delete_Bank(${i})">
                            <circle cx="12" cy="12" r="10"></circle>
                            <line x1="15" y1="9" x2="9" y2="15">
                            </line>
                            <line x1="9" y1="9" x2="15" y2="15">
                            </line>
                        </svg></td>
                </tr>
                `)
                i++
            });
        }
        //delivery
        let delivery = []
        function add_Bank_transport(){
            let word = ($('#transport').val()).split(" ")
            delivery.push({transport:word[0],transport_name:word[1]})
            show_delivery()
        }
        function delete_Bank_transport(value){
            delivery.splice(value, 1)
            show_delivery()
        }
        function show_delivery(){
            if(delivery.length != 0){
                let table_list = $('#list_transport > thead')
                table_list.empty()
                table_list.append(`<tr>
                    <th class="text-center">#</th>
                    <th>ชื่อขนส่ง</th>
                    <th class="text-center">Action</th>
                </tr>`)
            }else{
                let table_list = $('#list_transport > thead')
                table_list.empty()
            }
            let table_list = $('#list_transport > tbody')
            table_list.empty()
            let i = 0
            delivery.forEach(element => {
                table_list.append(`<tr>
                        <td class="text-center">${i+1}</td>
                        <td><img src="http://128.199.100.251:1001/image/transport/${element.transport}.png"
                                width="40px" height="40px"> ${element.transport_name}
                        </td>
                        <td class="text-center"><svg
                            xmlns="http://www.w3.org/2000/svg"
                            width="24" height="24"
                            viewBox="0 0 24 24" fill="none"
                            stroke="currentColor" stroke-width="2"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                            class="feather feather-x-circle" onClick="delete_Bank_transport(${i})">
                            <circle cx="12" cy="12" r="10"></circle>
                            <line x1="15" y1="9" x2="9" y2="15">
                            </line>
                            <line x1="9" y1="9" x2="15" y2="15">
                            </line>
                        </svg></td>
                    </tr>
                `)
                i++
            });
        }
        
        function save(){
            let check = true
            if(($('#fullName').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกชื่อร้าน','','warning')}
            else if(($('#phone').val()).trim() == '' || $('#phone').val().length < 9 || $('#phone').val().length > 10){check = false;Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')}
            else if(($('#address').val()).trim() == '' || ($('#subdistrict').val()).trim() == '' || ($('#district').val()).trim() == '' ||
            ($('#province').val()).trim() == '' || ($('#zipcode').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกที่อยู่','','warning')}
            else if($('input[type=file]')[0].files.length == 0 ){check = false;Swal.fire('กรุณากรอกอัพโหลดรูปโปรไฟล์','','warning')}
            else if($('input[type=file]')[1].files.length == 0 ){check = false;Swal.fire('กรุณากรอกอัพโหลดรูปพื้นหลัง','','warning')}
            else if(Payment.COD == 0 && Payment.BANK == 0 && Payment.CREDIT == 0){check = false;Swal.fire('กรุณากรอกเลือกวิธีชำระเงิน','','warning')}
            else if(Payment.BANK == 1){
                if(Bank.length == 0){check = false;Swal.fire('กรุณากรอกธนาคาร','','warning')}
            }
            else if(delivery.length == 0){check = false;Swal.fire('กรุณากรอกขนส่ง','','warning')}
            axios.post('/api/check_name',{word:($('#fullName').val()).trim()}).then((response)=>{
                if(response.data.Message == 'Have'){
                    Swal.fire('มีชื่อร้านนี้แล้ว','','warning')
                }else if(response.data.Message != 'Success'){
                    Swal.fire(response.data.Message,'','warning')
                }else{
                    if(check){
                        console.log('<%=locals.username %>')
                        let account_count = 0
                        let transport_count = 0
                        let data = new FormData()
                        let file1 = $('input[type=file]')[0].files
                        let file2 = $('input[type=file]')[1].files
                        data.append("shop_name",($('#fullName').val()).trim())
                        data.append("shop_phone",($('#phone').val()).trim())
                        data.append("shop_email",($('#email').val()).trim())
                        data.append("shop_Line_tk",($('#Line_tk').val()).trim())
                        data.append("address",$('#address').val())
                        data.append("subdistrict",$('#subdistrict').val())
                        data.append("district",$('#district').val())
                        data.append("province",$('#province').val())
                        data.append("zipcode",$('#zipcode').val())
                        data.append("file1",file1[0])
                        data.append("file2",file2[0])
                        data.append("COD",Payment.COD)
                        data.append("BANK",Payment.BANK)
                        data.append("CREDIT",Payment.CREDIT)
                        data.append("Line",$('#Line').val())
                        data.append("FB",$('#FB').val())
                        data.append("IG",$('#IG').val())
                        data.append("TT",$('#TT').val())
                        data.append("user",'<%=locals.username %>')
                        if(Payment.BANK == 1){
                            account_count = Bank.length
                            Bank.forEach(element=>{
                                data.append("account_id",element.account_id)
                                data.append("account_name",element.account_name)
                                data.append("bank",element.bank)
                            })
                        }
                        transport_count = delivery.length
                        delivery.forEach(element=>{
                            data.append("transport",element.transport)
                        })
                        data.append("account_count",account_count)
                        data.append("transport_count",transport_count)
                        // console.log(Object.fromEntries(data))
                        $.ajax({
                            url: '/setting/add_shop',
                            data: data,
                            processData: false,
                            contentType: false,
                            type: 'POST',
                            success: function(data){
                                if(data.Message == 'Success'){
                                    Swal.fire('เพิ่มข้อมูลร้านสำเร็จ','','success').then(()=>{
                                        window.location = '/'
                                    })
                                }else{
                                    Swal.fire('เพิ่มข้อมูลร้านไม่สำเร็จ','','error').then(()=>{

                                    })
                                }
                            }
                        });
                    }
                }
            })
        }

        function update(){
            let check = true
            if(($('#fullName').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกชื่อร้าน','','warning')}
            else if(($('#phone').val()).trim() == '' || $('#phone').val().length < 9 || $('#phone').val().length > 10){check = false;Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')}
            else if(($('#address').val()).trim() == '' || ($('#subdistrict').val()).trim() == '' || ($('#district').val()).trim() == '' ||
            ($('#province').val()).trim() == '' || ($('#zipcode').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกที่อยู่','','warning')}
            else if(Payment.COD == 0 && Payment.BANK == 0 && Payment.CREDIT == 0){check = false;Swal.fire('กรุณากรอกเลือกวิธีชำระเงิน','','warning')}
            else if(Payment.BANK == 1){
                if(Bank.length == 0){check = false;Swal.fire('กรุณากรอกธนาคาร','','warning')}
            }
            else if(delivery.length == 0){check = false;Swal.fire('กรุณากรอกขนส่ง','','warning')}
            if(check){
                let account_count = 0
                let transport_count = 0
                let data = new FormData()
                let file1 = $('input[type=file]')[0].files
                let file2 = $('input[type=file]')[1].files
                data.append("shop_name",($('#fullName').val()).trim())
                data.append("shop_phone",($('#phone').val()).trim())
                data.append("shop_email",($('#email').val()).trim())
                data.append("shop_Line_tk",($('#Line_tk').val()).trim())
                data.append("address",$('#address').val())
                data.append("subdistrict",$('#subdistrict').val())
                data.append("district",$('#district').val())
                data.append("province",$('#province').val())
                data.append("zipcode",$('#zipcode').val())
                data.append("file1",file1[0])
                data.append("file2",file2[0])
                data.append("COD",Payment.COD)
                data.append("BANK",Payment.BANK)
                data.append("CREDIT",Payment.CREDIT)
                data.append("Line",$('#Line').val())
                data.append("FB",$('#FB').val())
                data.append("IG",$('#IG').val())
                data.append("TT",$('#TT').val())
                data.append("user",'<%=locals.username %>')
                data.append("id_shop",'<%=data.id %>')
                if(Payment.BANK == 1){
                    account_count = Bank.length
                    Bank.forEach(element=>{
                        data.append("account_id",element.account_id)
                        data.append("account_name",element.account_name)
                        data.append("bank",element.bank)
                    })
                }
                transport_count = delivery.length
                delivery.forEach(element=>{
                    data.append("transport",element.transport)
                })
                data.append("account_count",account_count)
                data.append("transport_count",transport_count)
                // console.log(Object.fromEntries(data))
                $.ajax({
                    url: '/setting/update_shop',
                    data: data,
                    processData: false,
                    contentType: false,
                    type: 'POST',
                    success: function(data){
                        if(data.Message == 'Success'){
                            Swal.fire('อัพเดทข้อมูลร้านสำเร็จ','','success').then(()=>{
                                window.location = '/'
                            })
                        }else{
                            Swal.fire('อัพเดทข้อมูลร้านไม่สำเร็จ','','error').then(()=>{
                            })
                        }
                    }
                });
            }
        }
    </script>

</body>

</html>